library ieee;

use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;

entity tbcomp is
end tbcomp;

architecture tbb of tbcomp is
component compito is
	port (clk,nw: in std_logic;
	din: in std_logic_vector(15 downto 0);
	op: in std_logic_vector(1 downto 0);
	ris: out std_logic_vector(15 downto 0);
	ready : out std_logic);
end component;

signal clk,nw, ready: std_logic;
signal din, ris: std_logic_vector(15 downto 0);
signal op: std_logic_vector(1 downto 0);

begin
	d: compito port map (clk,nw,din,op,ris,ready);
	
	process
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
	end process;
	
	nw <= '1' after 1 ns, '0' after 11 ns,
	'1' after 61 ns, '0' after 71 ns,
	'1' after 121 ns, '0' after 131 ns;
	
	op <= "01" after 11 ns,
	      "00" after 71 ns,
		  "10" after 131 ns;
	
	din <= conv_std_logic_vector(78,16) after 11 ns,
	       conv_std_logic_vector(3,16) after 21 ns,
		   conv_std_logic_vector(7,16) after 71 ns,
	       conv_std_logic_vector(20,16) after 81 ns,
		   conv_std_logic_vector(20,16) after 131 ns;
end tbb;

	
	
	       